Bug 247907 (kf5-5.72.0) - [exp-run] Update KDE Frameworks to 5.72.0
Summary: [exp-run] Update KDE Frameworks to 5.72.0
Status: Closed FIXED
Alias: kf5-5.72.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: github.com/freebsd/freebsd-ports-kde/...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-11 09:22 UTC by Tobias C. Berner
Modified: 2020-07-21 17:32 UTC (History)
2 users (show)

See Also:
antoine: exp-run?


Attachments
v1 (131.22 KB, patch)
2020-07-11 09:22 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-07-11 09:22:18 UTC
Created attachment 216375 [details]
v1

Moin moin 

kde@ would like to ask for an exp-run to upgrade KDE Frameworks to 5.72.

The patch is attached and can also be found here:
https://people.freebsd.org/~tcberner/patches/kf5-5.72.0.v1.diff


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2020-07-17 08:42:24 UTC
Exp-run looks fine
Comment 3 commit-hook freebsd_committer 2020-07-18 18:07:40 UTC
A commit references this bug:

Author: adridg
Date: Sat Jul 18 18:06:55 UTC 2020
New revision: 542519
URL: https://svnweb.freebsd.org/changeset/ports/542519

Log:
  Fix multimedia/musikcube in the face of new microhttpd.

  Explanation is in the patch -- there's a mismatch in expectations
  when MHD_Result is supposed to be defined. This shows up in the
  exp-run for KF5 5.72 but is otherwise unrelated to KF5.

  PR:		247907

Changes:
  head/multimedia/musikcube/Makefile
  head/multimedia/musikcube/files/
  head/multimedia/musikcube/files/patch-src_plugins_server_HttpServer.h
Comment 4 commit-hook freebsd_committer 2020-07-18 20:36:15 UTC
A commit references this bug:

Author: adridg
Date: Sat Jul 18 20:35:46 UTC 2020
New revision: 542528
URL: https://svnweb.freebsd.org/changeset/ports/542528

Log:
  Fix build in the face of updated taglib, changes tellico, etc.
  This is fallout in the KF5 5.72 exp-run, but otherwise unrelated
  to the KF5 upgrade.

  PR:		247907

Changes:
  head/misc/tellico/Makefile
  head/misc/tellico/files/
  head/misc/tellico/files/patch-CMakeLists.txt
  head/misc/tellico/pkg-descr
Comment 5 commit-hook freebsd_committer 2020-07-18 20:47:18 UTC
A commit references this bug:

Author: adridg
Date: Sat Jul 18 20:46:35 UTC 2020
New revision: 542530
URL: https://svnweb.freebsd.org/changeset/ports/542530

Log:
  Fix build in the face of updates elsewhere (taglib)

  Taglib's CMake support has changed without mind for backwards
  compatibility, so old users were using variables that are
  now unset. Switch to modern CMake instead.

  While here:
   - fix the WWW link, which led to a 500
   - GH account HessiJames renamed dfaust; you'll note the SHA256
     in the distinfo is not changed although the name of the file is.

  PR:		247907

Changes:
  head/audio/soundkonverter/Makefile
  head/audio/soundkonverter/distinfo
  head/audio/soundkonverter/files/
  head/audio/soundkonverter/files/patch-CMakeLists.txt
  head/audio/soundkonverter/pkg-descr
Comment 6 Adriaan de Groot freebsd_committer 2020-07-18 21:04:17 UTC
r542532 fixes krename, I forgot to mention this PR there.
Comment 7 commit-hook freebsd_committer 2020-07-18 21:12:24 UTC
A commit references this bug:

Author: adridg
Date: Sat Jul 18 21:11:22 UTC 2020
New revision: 542533
URL: https://svnweb.freebsd.org/changeset/ports/542533

Log:
  Fix ktorrent in the face of changed Taglib

  While here, fix WWW which pointed to a squatter now

  PR:		247907

Changes:
  head/net-p2p/ktorrent/Makefile
  head/net-p2p/ktorrent/files/
  head/net-p2p/ktorrent/files/patch-plugins_mediaplayer_CMakeLists.txt
  head/net-p2p/ktorrent/pkg-descr
Comment 8 commit-hook freebsd_committer 2020-07-18 23:31:47 UTC
A commit references this bug:

Author: adridg
Date: Sat Jul 18 23:31:17 UTC 2020
New revision: 542537
URL: https://svnweb.freebsd.org/changeset/ports/542537

Log:
  Fix up previous fix:

  - with KF5 5.71, each application can have its own FindTaglib, or
    uses the one from kdelibs4support (I think). This is generally an
    "old-style" CMake module.
  - with KF5 5.72, ECM delivers a modern CMake module which is found
    **first**, but is also incompatible with the old version of FindTaglib.

  Adjust the patches so they work with KF5 5.71 (now in-tree) and 5.72
  (upcoming). Not bumping PORTREVISION here because the packages could
  not have built with the previous patches.

  Note to self: do not assume useful backwards-compatibility in CMake
  modules from different sources.

  PR:		247907

Changes:
  head/audio/soundkonverter/files/patch-CMakeLists.txt
  head/net-p2p/ktorrent/files/patch-plugins_mediaplayer_CMakeLists.txt
  head/sysutils/krename/files/patch-gentoo_git-krename-5.0.0-exiv2-0.27.patch
Comment 9 commit-hook freebsd_committer 2020-07-21 17:16:02 UTC
A commit references this bug:

Author: tcberner
Date: Tue Jul 21 17:15:56 UTC 2020
New revision: 542761
URL: https://svnweb.freebsd.org/changeset/ports/542761

Log:
  Update KDE Framewokrs to 5.72

  July 04, 2020. KDE today announces the release of KDE Frameworks 5.72.0.

  KDE Frameworks are over 70 addon libraries to Qt which provide a wide variety
  of commonly needed functionality in mature, peer reviewed and well tested
  libraries with friendly licensing terms. For an introduction see the KDE
  Frameworks web page.

  This release is part of a series of planned monthly releases making
  improvements available to developers in a quick and predictable manner.

  Changelog:
  	https://kde.org/announcements/kde-frameworks-5.72.0.php?site_locale=en

  - net/kdav became a framework and was therefore moved to net/kf5-kdav.
  - thanks to adridg@ for fixing the fallout

  Exp-run by:	antoine
  PR:		247907

Changes:
  head/MOVED
  head/Mk/Scripts/qa.sh
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/Makefile
  head/archivers/kf5-karchive/distinfo
  head/deskutils/kdepim-runtime/Makefile
  head/devel/kf5-extra-cmake-modules/Makefile
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-extra-cmake-modules/pkg-plist
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kauth/Makefile
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kbookmarks/Makefile
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/Makefile
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kconfig/Makefile
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kcoreaddons/Makefile
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcrash/Makefile
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kcrash/files/
  head/devel/kf5-kdbusaddons/Makefile
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/Makefile
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdoctools/Makefile
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-ki18n/Makefile
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-kidletime/Makefile
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/pkg-plist
  head/devel/kf5-kitemmodels/Makefile
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/Makefile
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knotifications/Makefile
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/Makefile
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/Makefile
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kpackage/pkg-plist
  head/devel/kf5-kparts/Makefile
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/Makefile
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/Makefile
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kservice/Makefile
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-ktexteditor/Makefile
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-kunitconversion/Makefile
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/Makefile
  head/devel/kf5-solid/distinfo
  head/devel/kf5-solid/files/
  head/devel/kf5-solid/pkg-message
  head/devel/kf5-threadweaver/Makefile
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/Makefile
  head/dns/kf5-kdnssd/distinfo
  head/graphics/kf5-kimageformats/Makefile
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-kquickcharts/distinfo
  head/graphics/kf5-prison/Makefile
  head/graphics/kf5-prison/distinfo
  head/lang/kf5-kross/Makefile
  head/lang/kf5-kross/distinfo
  head/misc/kf5-purpose/Makefile
  head/misc/kf5-purpose/distinfo
  head/multimedia/kf5-kmediaplayer/Makefile
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/Makefile
  head/net/kdav/
  head/net/kf5-kcalendarcore/distinfo
  head/net/kf5-kcontacts/distinfo
  head/net/kf5-kdav/
  head/net/kf5-kdav/Makefile
  head/net/kf5-kdav/distinfo
  head/net/kf5-kdav/pkg-plist
Comment 10 Tobias C. Berner freebsd_committer 2020-07-21 17:32:14 UTC
Committed, thanks for the exp-run.